<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_lpmigrate', language 'en_us_k12', version '4.2'.
 *
 * @package     tool_lpmigrate
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowedcourses'] = 'Classes allowed';
$string['allowedcourses_help'] = 'Select classes to be migrated to the new framework. If no class is specified, then all classes will be migrated.';
$string['coursecompetencymigrations'] = 'Class competency migrations';
$string['coursemodulecompetencymigrations'] = 'Class activity and resource competency migrations';
$string['coursemodulesfound'] = 'Class activities or resources found';
$string['coursesfound'] = 'Classes found';
$string['coursestartdate'] = 'Classes start date';
$string['coursestartdate_help'] = 'If enabled, classes with a start date prior to the date specified will not be migrated.';
$string['disallowedcourses'] = 'Disallowed classes';
$string['disallowedcourses_help'] = 'Select any classes which should NOT be migrated to the new framework.';
$string['errorwhilemigratingcoursecompetencywithexception'] = 'Error while migrating the class competency: {$a}';
$string['explanation'] = 'This tool can be used to update a competency framework to a newer version. It searches for competencies in classes and activities using the older framework, and updates the links to point to the new framework.

It is not recommended to edit the old set of competencies directly, as this would change all of the competencies that have already been awarded in users\' learning plans.

Typically you would import the new version of a framework, hide the old framework, then use this tool to migrate new classes to the new framework.';
$string['findingcoursecompetencies'] = 'Finding class competencies';
$string['migratingcourses'] = 'Migrating classes';
$string['warningcouldnotremovecoursecompetency'] = 'The class competency could not be removed.';
$string['warningdestinationcoursecompetencyalreadyexists'] = 'The destination class competency already exists.';
